你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Galleries - Create Or Update

创建或更新库。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevCenter/devcenters/{devCenterName}/galleries/{galleryName}?api-version=2024-02-01

URI 参数

名称 必需 类型 说明
devCenterName
path True

string

minLength: 3
maxLength: 26
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]{2,25}$

开发中心的名称。

galleryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9][a-zA-Z0-9-_.]{2,62}$

库的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 必需 类型 说明
properties.galleryResourceId True

string

支持 Azure 计算库的资源 ID。

响应

名称 类型 说明
200 OK

Gallery

还行。 请求已成功。

201 Created

Gallery

已接受。 作将以异步方式完成。

Other Status Codes

ErrorResponse

描述作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Galleries_CreateOrUpdate

示例请求

PUT https://management.azure.com/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/galleries/StandardGallery?api-version=2024-02-01

{
  "properties": {
    "galleryResourceId": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.Compute/galleries/StandardGallery"
  }
}

示例响应

{
  "id": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/galleries/StandardGallery",
  "name": "StandardGallery",
  "type": "Microsoft.DevCenter/devcenters/galleries",
  "properties": {
    "galleryResourceId": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.Compute/galleries/StandardGallery",
    "provisioningState": "Accepted"
  },
  "systemData": {
    "createdBy": "User1",
    "createdByType": "User",
    "createdAt": "2020-11-18T18:24:24.818Z",
    "lastModifiedBy": "User1",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-11-18T18:24:24.818Z"
  }
}
{
  "id": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.DevCenter/devcenters/Contoso/galleries/StandardGallery",
  "name": "StandardGallery",
  "type": "Microsoft.DevCenter/devcenters/galleries",
  "properties": {
    "galleryResourceId": "/subscriptions/0ac520ee-14c0-480f-b6c9-0a90c58ffff/resourceGroups/rg1/providers/Microsoft.Compute/galleries/StandardGallery",
    "provisioningState": "Accepted"
  },
  "systemData": {
    "createdBy": "User1",
    "createdByType": "User",
    "createdAt": "2020-11-18T18:24:24.818Z",
    "lastModifiedBy": "User1",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-11-18T18:24:24.818Z"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

Gallery

表示库。

ProvisioningState

资源的预配状态。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

表示库。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.galleryResourceId

string

支持 Azure 计算库的资源 ID。

properties.provisioningState

ProvisioningState

资源的预配状态。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

ProvisioningState

资源的预配状态。

说明
NotSpecified
Accepted
Running
Creating
Created
Updating
Updated
Deleting
Deleted
Succeeded
Failed
Canceled
MovingResources
TransientFailure
RolloutInProgress
StorageProvisioningFailed

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。